Viewing Issue Advanced Details Jump to Notes ] naomi.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06364 Crash/Freeze Critical (emulation) Always Sep 2, 2016, 10:07 Sep 6, 2016, 13:01
Tester Robbbert View Status Public Platform MAME (Self-compiled)
Assigned To MetalliC Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver naomi.cpp
Version 0.177 Fixed in Version 0.178 Build Normal
Summary 06364: Assorted sets in naomi.c: Crash before OK
Description The error

Caught unhandled St11logic_error exception: basic_string::_M_construct null not valid

appears when the game is started. This is a fatal error,
Steps To Reproduce Start the game.
Additional Information Full list includes:
clubk2k3 - naomi.cpp
clubkprz - naomi.cpp
clubkpzb - naomi.cpp
gram2000 - naomi.cpp
kick4csh - naomi.cpp
mtkob2 - naomi.cpp
mvsc2 - naomi.cpp
puyofevp - naomi.cpp
qmegamis - naomi.cpp
shootopl - naomi.cpp
shootpl - naomi.cpp
shootplm - naomi.cpp
tduno2 - naomi.cpp
vf4evoct - naomi.cpp
vtenis2c - naomi.cpp
Flags
Regression Version
Affected Sets / Systems Assorted sets in naomi.c
Attached Files
 


-  Notes
User avatar
No.13100
Tafoid
(Administrator)
Sep 2, 2016, 19:23
I was just about to post about this. Update full list of sets currently erroring.
User avatar
No.13106
Osso
(Developer)
Sep 3, 2016, 05:43
All games where the "id" parameter is missing. If you add a empty "id" parameter they work.
Guess it regressed here: http://git.redump.net/mame/commit/src/mame/machine/naomim1.cpp?id=e50cabe1ffae8cda9be5e9328f97514c5f06d79b